<template>
  <div id="user">
    {{ user.username }}
    <button class="red" title="Delete the user"
    @click="$emit('delete', user.username)">X</button>
  </div>
</template>

<script lang="ts">
/**
 * @licence
 * Copyright 2022-2022 - RPG of the Apocalypse
 * Licensed under MIT or any later version
 * Refer to the LICENSE file included.
 */

import { Component, Vue, Prop } from "vue-property-decorator";
import { User } from "../../../services/backends/users";

@Component
export default class UserItem extends Vue {
  @Prop() user!: User;
}
</script>

<style scoped>
#user {
  display: flex;
  justify-content: space-between;
  padding: 5px;
}
#user:hover {
  background-color: rgba(238, 238, 238, 0.1);
}
</style>
